1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

error whilst updating to 8.0

Discussion in 'Plesk for Linux - 8.x and Older' started by timdew, Mar 29, 2006.

  1. timdew

    timdew Guest

    0
     
    I got the following error message whilst trying to update from 7.5.4 to 8.0

    Download file versions.inf3: 18%..100% done
    Download file PSA_8.0.0/plesk-8.0.0-rhel4-i386.inf3: 16%..100% done
    Checking for system installed packages...done.
    Check for components installation status
    Reading system installed packages...done.
    Download file plesk-8.0.0-rhel4-i386.hdr.gz: 51%..100% done
    Download file plesk-8.0.0-rhel4-i386.hdr.gz: 24%..95%..100% done
    Resolve components
    ERROR: Can't add to black list product package psa

    anyone have an idea what's wrong? im on RHEL4
     
  2. jcrim

    jcrim Guest

    0
     
    I am also on RHEL 4. Does anyone have a fix for this?

    -Jesse
     
  3. timdew

    timdew Guest

    0
     
    support

    i've submitted a support request for this issue...my first...i don't know how efficient swsoft are but i'll post any answer i get here.
     
  4. jcrim

    jcrim Guest

    0
     
    Thanks! Let us know.
     
  5. timdew

    timdew Guest

    0
     
    disappointment

    i must have no life whatsoever but i was looking forward to this new version.

    i've got servers on RHEL3 where the upgrade went through without a hitch, maybe it's a problem just iwth RHEL4?

    hopefully...it's a minor glitch that will be corrected very shortly (as in the past with other upgrades)
     
  6. jcrim

    jcrim Guest

    0
     
    Timdew - I am also looking forward for this update. I converted over from Cpanel and love Plesk and some of the new features that it is offering.

    I believe it is w/ RHEL 4. Everyone else is going with ease. Is there a psa.config file that needs to changed? The error mentioned mentioned black listed. Just wondering if our PSA file location needs to be changed.???? (If that makes since)

    Thanks,

    Jesse
     
  7. timdew

    timdew Guest

    0
     
    Here's where it fails in the installer log

    psa-php4-configurator-1.0.0-rhel4.build80060329.02.noarch.rpm is in black list, skip.
    selectBestResolvers(): Can't find solution for 'php-configurator' of psa-8.0.0-rhel4.build80060329.02.i586.
    Add psa-8.0.0-rhel4.build80060329.02.i586 to black list
    appendBlackPackage: append psa-8.0.0-rhel4.build80060329.02.i586
    catch error with message: Can't add to black list product package psa
    ERROR: Can't add to black list product package psa
    Exit with ERROR status



    where can i find psa-php4-configurator and can it be installed "manually"???????
     
  8. timdew

    timdew Guest

    0
     
    sorted

    following advice from another member of this forum

    i installed php-domxml and php-mbstring and the using up2date and the install is now downloading and the install is working.

    plesk 8.0 working fine although it changed the safe-mode on sites and this caused one site to flip-out...

    hey ho
     
  9. eilko

    eilko Regular Pleskian

    28
    73%
    Joined:
    Aug 1, 2001
    Messages:
    468
    Likes Received:
    4
    Location:
    Enschede, Netherlands
    this seems to be a rhel4 only problem. i tried to update my Centos4 server and it gave me this error. I changed the /etc/redhat-release to read the original centos line, ran the same updater again and it worked fine (it downloaded the centos4.2 files this time).
     
  10. jcrim

    jcrim Guest

    0
     
    This is the fix for reference: (Use SSH)

    up2date -u php-domxml
    up2date -u php-mbstring

    Now, use the Updater within the Control Panel and the install goes all the way through.

    -Jesse
     
  11. awlane

    awlane Guest

    0
     
    Hmm Doesn't work for me.. I still get "Can't add to black list product package Sitebuilder"
     
  12. panaman

    panaman Guest

    0
     
    same here
     
  13. summershosting

    summershosting Guest

    0
     
    Has anyone found a solution to this?

    I am using redhat v4 and doing a fresh install of plesk 8.0.1 - and getting same error.

    need advise asap.
     
  14. summershosting

    summershosting Guest

    0
     
    i did

    up2date -u php*

    and then it worked fine
     
  15. systron

    systron Guest

    0
     
    Also

    up2date -u php*

    worked for me.My Updater work from CP after this up2date -u php*

    -Systron
     
  16. abdicar

    abdicar New Pleskian

    22
    57%
    Joined:
    May 9, 2005
    Messages:
    17
    Likes Received:
    0
    Not working for us at all

    [root@DS05 ~]# cat /etc/redhat-release
    Red Hat Enterprise Linux ES release 4 (Nahant Update 4)
    [root@DS05 ~]#
    [root@DS05 ~]# php -v
    PHP 4.3.9 (cgi) (built: Jun 26 2006 09:46:03)
    Copyright (c) 1997-2004 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
    [root@DS05 ~]# rpm -qa | grep php
    php-pgsql-4.3.9-3.15
    php-4.3.9-3.15
    php-mysql-4.3.9-3.15
    php-domxml-4.3.9-3.15
    php-devel-4.3.9-3.15
    php-ncurses-4.3.9-3.15
    php-xmlrpc-4.3.9-3.15
    php-pear-4.3.9-3.15
    php-mbstring-4.3.9-3.15
    php-gd-4.3.9-3.15
    php-odbc-4.3.9-3.15
    php-imap-4.3.9-3.15
    php-ldap-4.3.9-3.15
    php-snmp-4.3.9-3.15
    [root@DS05 ~]#

    Reading system installed packages...done.
    Download file plesk-8.0.1-rhel4-i386.hdr.gz: 23%..46%..70%..93%..100% done
    Download file plesk-8.0.1-rhel4-i386.hdr.gz: 77%..100% done
    Resolve components
    ERROR: Can't add to black list product package psa
    ERROR: Installation failed

    :confused:

    Can anyone Plesk Guru tell us what happend?
     
Loading...